<?php

namespace domain\Subscription\ProductSubscription;

use domain\Subscription\Subscription\Subscription;
use domain\_\AbstractRepositoryQuery;

class ProductSubscriptionRepositoryQuery extends AbstractRepositoryQuery
{
    protected ProductSubscriptionDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(ProductSubscriptionDefinition::class);
    }

    public function filterBySubscription(Subscription $subscription): self
    {
        $this->andWhere(['id_subscription' => $subscription->id]);
        return $this;
    }
}